Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:	Gnome solution for scanning in the desktop on top of libsane
Name:		gnome-scan
Version:	0.6
Release:	1
Group:		Publishing
License:	LGPLv2+
URL:		http://home.gna.org/gnomescan/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{name}/0.6/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	gtk2+-devel libgnomeui-devel sane-backends-devel
BuildRequires:	gegl-devel gimp-devel
BuildRequires:	gettext perl(XML::Parser) pkgconfig
BuildRequires:	desktop-file-utils gtk-doc gnome-doc-utils
Requires:	gimp
Provides:	gnomescan = %{version}-%{release}
Obsoletes:	gnomescan < 0.5

%description
Gnome Scan provide a library for use by applications (e.g. using
plugins) as well as a tiny standalone application, called flegita,
which allow to simply save scan to file.

%package libs
Summary:	Gnome-scan library
Group:		Development/Libraries
Obsoletes:	gnomescan < 0.5

%description libs
Libraries for using gnome-scan

%package devel
Summary:	Development files for gnome-scan
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	pkgconfig gtk2+-devel
Requires:	gegl-devel libgnomeui-devel
Obsoletes:      gnomescan-devel < 0.5

%description devel
Contains development headers and libraries for gnome-scan

%prep
%setup -q

%build
%configure --disable-static
# Disable rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags} 

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

desktop-file-install --delete-original			\
	--remove-category Application			\
	--dir %{buildroot}%{_datadir}/applications	\
	--mode 0644					\
	%{buildroot}%{_datadir}/applications/flegita.desktop


%find_lang %{name}

find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'
rm -rf %{buildroot}%{_prefix}/doc

%clean
rm -rf %{buildroot}

%post 
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%post libs -p /sbin/ldconfig

%postun 
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/flegita
%{_libdir}/gimp/2.0/plug-ins/flegita-gimp
%{_datadir}/applications/flegita.desktop
%{_datadir}/icons/hicolor/*/*/*.svg
%{_datadir}/gnome-scan/

%files libs
%defattr(-,root,root,-)
%{_libdir}/libgnomescan.so.*
%{_libdir}/gnome-scan-1.0/

%files devel
%defattr(-,root,root,-)
%{_includedir}/gnome-scan-1.0/
%{_libdir}/libgnomescan.so
%{_libdir}/pkgconfig/gnome-scan.pc
%doc %{_datadir}/gtk-doc/html/gnome-scan*/

%changelog
* Thu Mar 13 2008 Christian Metzen <metzench@ccux-linux.de> 0.6-1
- Initial release